# Generated by Django 3.0.7 on 2021-06-01 15:58

from django.db import migrations



def add_admin_groups(apps, schema_editor):
    Group = apps.get_model('auth.Group')
    Permission = apps.get_model('auth.Permission')

    peer_reviewers, created = Group.objects.get_or_create(name='Peer Reviewers')
    main_administrator = Group.objects.get(name='Main administrator')

    # write permissions rest framework api access
    for model, perms in {'ReviewLog': ['add', 'change'],
                         'PeerReview': ['change']}.items():
        for perm in perms:
            peer_reviewers.permissions.add(Permission.objects.get(codename=f'{perm}_{model.lower()}'))

    for model, perms in {'ReviewLog': ['add', 'change'],
                         'PeerReview': ['add', 'change'],
                         'EditorReview': ['change']
                         }.items():
        for perm in perms:
            main_administrator.permissions.add(Permission.objects.get(codename=f'{perm}_{model.lower()}'))



def remove_admin_groups(apps, schema_editor):
    Group = apps.get_model('auth.Group')
    Group.objects.filter(name='Peer Reviewers').delete()


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0005_datamigration_add_editor_group'),
    ]

    operations = [
        migrations.RunPython(add_admin_groups, remove_admin_groups)
    ]
